ch.qos.logback.core.status

## Class ViewStatusMessagesServletBase

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - ch.qos.logback.core.status.ViewStatusMessagesServletBase

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  ViewStatusMessagesServlet, ViewStatusMessagesServlet

    public abstract class ViewStatusMessagesServletBase
    extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ViewStatusMessagesServletBase()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract String` `getPageTitle(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`protected abstract StatusManager` `getStatusManager(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`void` `printCSS(String localRef, PrintWriter output)`
`void` `printHeader(StringBuilder buf)`
`void` `printList(StringBuilder buf, StatusManager sm)`
`protected void` `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewStatusMessagesServletBase

    public ViewStatusMessagesServletBase()

### Method Detail

#### getStatusManager

    protected abstract StatusManager getStatusManager(javax.servlet.http.HttpServletRequest req,
                                                      javax.servlet.http.HttpServletResponse resp)

#### getPageTitle

    protected abstract String getPageTitle(javax.servlet.http.HttpServletRequest req,
                                           javax.servlet.http.HttpServletResponse resp)

#### service

    protected void service(javax.servlet.http.HttpServletRequest req,
                           javax.servlet.http.HttpServletResponse resp)
                    throws javax.servlet.ServletException,
                           IOException

Overrides:
  `service` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### printCSS

    public void printCSS(String localRef,
                         PrintWriter output)

#### printList

    public void printList(StringBuilder buf,
                          StatusManager sm)

#### printHeader

    public void printHeader(StringBuilder buf)